Docs
API reference

List a job's talent searches

GET
/api/v1/jobs/{id}/talent-searches

The job's talent-pool searches, newest first, without their matches. Retrieve one to read its matches.

Required scope: jobs:read (jobs:write also works).

Errors

  • 400: invalid_cursor, unknown_field
  • 401: authentication_required, invalid_api_key
  • 403: api_access_disabled, insufficient_scope
  • 404: job_not_found
  • 422: invalid_parameter
  • 429: rate_limit_exceeded
  • 500: api_error
  • 503: service_unavailable

Authorization

ApiKey
headerAuthorizationBearer <probb_live_<id>_<secret>>

Path Parameters

id*string

The job's ID.

Length1 <= length <= 200

Query Parameters

limit?integer

Page size, 1 to 100. Defaults to 25.

Range1 <= value <= 100
Default25
cursor?string

The nextCursor from the previous page.

Length1 <= length <= 2048

Response Body

Success.

application/json
  1. response
object*string
data*array<>

The talent searches on this page.

hasMore*boolean

Whether another page follows.

nextCursor*|

Pass as cursor to fetch the next page, or null at the end.

Example Request
# Set PROBB_URL and PROBB_API_KEY. Replace any *_VALUE placeholder and any example ID (such as job_example) with a real one.curl --fail-with-body -X GET "$PROBB_URL/api/v1/jobs/ID_VALUE/talent-searches" \  -H "Authorization: Bearer $PROBB_API_KEY"
Example Response
{  "object": "list",  "data": [    {      "object": "talent_search",      "id": "string",      "job": {        "id": "string",        "title": "string"      },      "status": "queued",      "done": true,      "counts": {        "pool": -9007199254740991,        "retrieved": -9007199254740991,        "shortlisted": -9007199254740991,        "evaluated": -9007199254740991,        "matched": -9007199254740991,        "failed": -9007199254740991      },      "errorMessage": "string",      "createdAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z"    }  ],  "hasMore": true,  "nextCursor": "string"}